Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2120442 - libbluray-bdj incompatible with Java 17
Summary: libbluray-bdj incompatible with Java 17
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libbluray
Version: 36
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-08-23 00:56 UTC by pureacetone
Modified: 2022-11-18 09:41 UTC (History)
3 users (show)

Fixed In Version: libbluray-1.3.3-1.fc38 libbluray-1.3.3-1.fc37 libbluray-1.3.3-1.el9 libbluray-1.3.3-1.fc35 libbluray-1.3.3-1.fc36
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-26 10:19:25 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description pureacetone 2022-08-23 00:56:41 UTC
Description of problem:

Trying to use libbluray-bdj to get bluray menus in VLC with Java 17 doesn't work.

Version-Release number of selected component (if applicable):

Name         : vlc
Version      : 3.0.17.4

Name         : libbluray-bdj
Version      : 1.3.2

Name         : java-17-openjdk
Version      : 17.0.4.0.8


Actual results:

[00007fc274001160] libbluray demux error: BD-J menus not supported. Playing without menus. BD-J support: 1, JVM found: 0, JVM usable: 0


Additional info:

According to vlc developer the problem has to do with the fact that the libbluray-bdj version is incompatible with newer java versions.

https://forum.videolan.org/viewtopic.php?t=159873

With Java 8 it's working like a charm.

Comment 1 Fedora Update System 2022-09-26 10:15:59 UTC
FEDORA-2022-a7bf798d0f has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a7bf798d0f

Comment 2 Fedora Update System 2022-09-26 10:19:25 UTC
FEDORA-2022-a7bf798d0f has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2022-09-26 10:38:01 UTC
FEDORA-2022-38bd922ff7 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-38bd922ff7

Comment 4 Fedora Update System 2022-09-26 10:38:02 UTC
FEDORA-EPEL-2022-9be8cb0a1b has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-9be8cb0a1b

Comment 5 Fedora Update System 2022-09-26 10:38:03 UTC
FEDORA-2022-ad74183245 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ad74183245

Comment 6 Fedora Update System 2022-09-26 10:38:04 UTC
FEDORA-2022-de7976201a has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-de7976201a

Comment 7 Fedora Update System 2022-09-27 01:46:52 UTC
FEDORA-2022-38bd922ff7 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-38bd922ff7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-38bd922ff7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-09-27 01:51:34 UTC
FEDORA-EPEL-2022-9be8cb0a1b has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-9be8cb0a1b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-09-27 02:22:41 UTC
FEDORA-2022-de7976201a has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-de7976201a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-de7976201a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-09-27 21:13:16 UTC
FEDORA-2022-ad74183245 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-ad74183245`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ad74183245

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-09-30 00:15:13 UTC
FEDORA-2022-de7976201a has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-10-05 13:33:10 UTC
FEDORA-EPEL-2022-9be8cb0a1b has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-10-11 11:12:42 UTC
FEDORA-2022-38bd922ff7 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-10-12 13:01:19 UTC
FEDORA-2022-ad74183245 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 pureacetone 2022-11-18 09:41:51 UTC
It's not detecting java unless you define and export JAVA_HOME variable in your bash_profile.


Note You need to log in before you can comment on or make changes to this bug.